Subject: [bug#79162] bible software package

From: Gabriel Santos <[email-masked]>
Date: Fri, 22 Aug 2025 17:29:08 -0300

Em 22 de agosto de 2025 10:42:50 BRT, Simon Tournier <[email-masked]> escreveu:
>Hi,
>
>On Sun, 03 Aug 2025 at 10:56, Gabriel Santos via Guix-patches via <[email-masked]> wrote:
>
>> # Xiphos
>>
>> - Homepage: <https://xiphos.org/>
>> - Source: <https://github.com/crosswire/xiphos>
>> - Build System: CMake
>> - Dependencies: GTK+ or GTK 3, WebKit, appstream-util, biblesync, dbus-glib,
>> desktop-file-validate, gconfmm, gtkhtml, intltool, itstool, libgsf, libuuid, libxml, minizip,
>> sword, xmllint, yelp-build
>> - License: gpl2+
>
>If I understand correctly, that’s the only candidate, no?
>
>Any chance you give a try?

Greetings,

I'm giving it a try now, but I may hit a roadblock soon, as "sword" isn't packaged and
it uses SVN for version control, which I'm not really familiar with.
As I was writing this, I got the following error with SWORD:

svn: E000110: Error running context: Connection timed out

I can fork Guix in Codeberg and put the packages there if you want to check it out.

Regards,

-- 
Gabriel Santos